# OCICollection::assignElem

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCICollection::assignElem — Assigne une valeur à un élément d'une collection Oracle

### Description

public OCICollection::assignElem(int `$index`, string `$value`): bool

Assigne une valeur à l'élément dont l'index est `index`.

### Liste de paramètres

`index`

  L'index de l'élément. Le premier vaut 0.

`value`

  Peut être soit une chaîne de caractères, soit un nombre.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | La classe OCI-Collection a été renommée en OCICollection pour aligner avec les standards de nommage PHP.

### Voir aussi

- OCICollection::getElem